tempoval
Prev | Orchestra Opcodes and Operators | Next

## tempoval

tempoval — Reads the current value of the tempo.

## Description

Reads the current value of the tempo.

## Syntax

    kres tempoval

## Performance

kres -- the value of the tempo. If you use a positive value with the -t command-line flag, tempoval returns the percentage increase/decrease from the original tempo of 60 beats per minute. If you do not, its value will be 60 (for 60 beats per minute).

## Examples

Here is an example of the tempoval opcode. Remember, it only works if you use the -t flag with Csound. It uses the file tempoval.csd.

Example 1101. Example of the tempoval opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    -t60 ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o tempoval.wav -W -t60 ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Adjust the tempo to 120 beats per minute.
      tempo 120, 60

      ; Get the tempo value.
      kval tempoval

      printks "kval = %f\\n", 0.1, kval
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Since 120 beats per minute is a 50% increase over the original 60 beats per minute, its output should include lines like:

    kval = 0.500000

## See also

Sensing and Control: Tempo and Sequencing

## Credits

Example written by Kevin Conder.

New in version 4.15

December 2002. Thanks to Drake Wilson for pointing out unclear documentation.

Prev | Up | Next
temposcal | Home | tigoto